package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class EmblPOATie
	extends EmblPOA
{
	private EmblOperations _delegate;

	private POA _poa;
	public EmblPOATie(EmblOperations delegate)
	{
		_delegate = delegate;
	}
	public EmblPOATie(EmblOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.Embl _this()
	{
		return nsdb.EmblHelper.narrow(_this_object());
	}
	public nsdb.Embl _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.EmblHelper.narrow(_this_object(orb));
	}
	public EmblOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(EmblOperations delegate)
	{
		_delegate = delegate;
	}
	public nsdb.EmblSeq getEmblSeq(java.lang.String bio_seq_id) throws type.NoResult,nsdb.EmblPackage.Superceded
	{
		return _delegate.getEmblSeq(bio_seq_id);
	}

}
